gnutls_handshake_set_timeout(3)

NAME
gnutls_handshake_set_timeout - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_handshake_set_timeout(gnutls_session_t session, unsigned int ms);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int ms
    is a timeout value in milliseconds

DESCRIPTION
This function sets the timeout for the handshake process to the provided value. Use an ms value of zero to disable timeout. Note that in order for the timeout to be enforced gnutls_transport_set_pull_timeout_function() must be set (it is set by default in most systems).

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/